Update a QC Request
Updates a QC Request as approved/rejected. Uses file_requests for document data.
curl --request PATCH \
--url https://api.slate.inc/qc/v2/qc/requests/{qcrID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reviewedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checklistItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"roleId": "<string>",
"completedBy": "<string>",
"group": "<string>",
"allowNA": true,
"reviewerNote": "<string>"
}
],
"notes": "<string>"
}
'import requests
url = "https://api.slate.inc/qc/v2/qc/requests/{qcrID}"
payload = {
"reviewedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checklistItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"roleId": "<string>",
"completedBy": "<string>",
"group": "<string>",
"allowNA": True,
"reviewerNote": "<string>"
}
],
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reviewedBy: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
checklistItems: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdOn: '2023-11-07T05:31:56Z',
displayName: '<string>',
description: '<string>',
roleId: '<string>',
completedBy: '<string>',
group: '<string>',
allowNA: true,
reviewerNote: '<string>'
}
],
notes: '<string>'
})
};
fetch('https://api.slate.inc/qc/v2/qc/requests/{qcrID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"status": "approved",
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"displayName": "<string>",
"signatureRequired": true,
"notaryRequired": true
}
],
"matterReference": "<string>",
"preparedBy": "<string>",
"preparedOn": "2023-11-07T05:31:56Z",
"signedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signedOn": "2023-11-07T05:31:56Z",
"firmId": "<string>"
},
"checklistItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"status": "approved",
"roleId": "<string>",
"completedBy": "<string>",
"group": "<string>",
"allowNA": true,
"reviewerNote": "<string>"
}
],
"review": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shortId": "<string>"
},
"reviewCompletedOn": "2023-11-07T05:31:56Z",
"reviewStartedOn": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"actors": [
{
"userId": "<string>",
"roleId": "<string>"
}
],
"fileUrl": "<string>",
"processName": "<string>",
"checklistName": "<string>",
"checklistVersion": "<string>",
"notes": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner a request is scoped to is derived from the token; list endpoints also take an explicit owner query parameter your token must be authorized to read.
Path Parameters
Body
Response
QC Request patched successfully
Unique identifier for the QC request
Timestamp when the QC request was created
approved, rejected, pending Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp when the QC request had its review completed
Timestamp when the QC request had its review started
User ID that reviewed the QC request
Every actor (user) associated with this QC request across all roles, e.g. affiant, notary, reviewee.
Show child attributes
Show child attributes
A URL where the file can be downloaded from
1Display name of the associated QC process
Display name of the associated QC checklist
Version of the checklist that was active when the review was created, if any
Notes about rework for the request
